Subject: Re: bug#45821: Emacs UDP support on Windows

From: Robert Pluim <[email-masked]>
Date: Wed, 04 Jan 2023 10:32:19 +0100

>>>>> On Tue, 3 Jan 2023 20:22:58 +0000, Alex Matei <[email-masked]> said:

    Alex> Here are the 2 patches that can be applied, in order:
    Alex>   *   0001 -> the original patch from the email thread, that I used
    Alex>   *   0002 -> the additions that I made locally

    Alex> Note: TLS mostly works, but I’ve observed some weird behavior in the process list for EWW

    Alex>   *   It almost feels like sometimes we hit snags in navigating to some HTTPS endpoints because the existing connections never get closes
    Alex>   *   I think we need to make some investigations/ changes to the socket lifetime / close behavior to fix the class of issues we are seeing in EWW, where sometimes the page load hangs, and yes, you can load it after a couple of refreshes (‘g’ key binding) but then you see something really interesting if you take a look at the process list
    Alex>      *   You will notice that some of the connection never
    Alex>   close (properly) and hang around!

Hmm, Iʼve not noticed anything like that, but I donʼt use Emacs on
windows regularly. Is this emacs-28 or emacs-29 or master? (I ask,
since emacs-29 did some reworking of some of the TLS code).

    Alex>      * If anyone has any good pointers of what are good
    Alex>      functions to look at, please let me know; I will take a
    Alex>      look at this later in the day, and navigate the reader
    Alex>      thread and everything around it..

    Alex> 

    Alex> p.s. I didn’t find an obvious way of merging the two patches in magit, hence the 2 individual patches 😊 – I guess I can just rebase the commits into one..

Either rebase, or if youʼve 'git apply' the changes from the second
patch you can add them in to the first patch using 'c e' (commit
extend). Of course you then need to to 'c w' to fix the commit
message, so rebase is the way to do it in one step.

Robert
--